2019-10-16 11:37 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001754FSSCPFREDpublic2008-08-31 17:08
Reportershiv_pl 
Assigned Tokarajorma 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001754: Ordering sexp cannot be ever compleated
DescriptionSimple order sexp cannot get 'true' value.
Simple test mission that show issue is attatched. Mission FREDed on retail FRED2. It also appear on fred2_open builds.
Image showing this sexp also here: http://img261.imageshack.us/img261/2687/sexply7.jpg
TagsNo tags attached.
Attached Files

-Relationships
related to 0001545resolvedkarajorma SEXPs Don't Include Subsystem Arguments 
+Relationships

-Notes

~0009592

karajorma (administrator)

Okay I took a look at this and I think I see the cause of the problem.

At the moment Squadmsg_history only seems to add ships to it's list of orders given in a mission. Since you're giving orders to an entire wing the SEXP won't ever give you the correct answer.

Must have missed that when I made some changes for the BtRL demo. Fixing this will take quite a lot of changes to the way the system works internally but I should be able to make it work properly.

That said, given that the entire system only exists to service the Order SEXP it might be more sensible to simply replace that SEXP with a better one which can access more of the data (for instance being able to get the time an order was given rather than crudely having to reset the entire history).

~0009630

karajorma (administrator)

Fixed. But you shouldn't use Order anyway now.
+Notes

-Issue History
Date Modified Username Field Change
2008-08-22 05:12 shiv_pl New Issue
2008-08-22 05:12 shiv_pl File Added: simple-order.fs2
2008-08-22 16:31 karajorma Status new => assigned
2008-08-22 16:31 karajorma Assigned To => karajorma
2008-08-22 17:16 karajorma Note Added: 0009592
2008-08-22 17:17 karajorma Relationship added related to 0001545
2008-08-31 17:08 karajorma Status assigned => resolved
2008-08-31 17:08 karajorma Fixed in Version => 3.6.10
2008-08-31 17:08 karajorma Resolution open => fixed
2008-08-31 17:08 karajorma Note Added: 0009630
+Issue History